/*-
 * Copyright (c) 2008-2009 Juan Romero Pardines.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef _XBPS_INSTALL_H_
#define _XBPS_INSTALL_H_

/* From lib/install.c, lib/depends.c and lib/unpack.c */
int	xbps_install_pkg_deps(const char *, const char *, int);
int	xbps_install_binary_pkg(const char *, const char *, int);
int	xbps_install_binary_pkg_fini(prop_dictionary_t, prop_dictionary_t,
				     const char *, int);
int	xbps_register_pkg(prop_dictionary_t, const char *, const char *,
			  const char *, bool);
int	xbps_unpack_binary_pkg(prop_dictionary_t, prop_dictionary_t,
			       const char *, int);
int	xbps_update_pkg_requiredby(prop_array_t, prop_dictionary_t);
int	xbps_find_deps_in_pkg(prop_dictionary_t);

prop_dictionary_t	xbps_get_pkg_deps_dictionary(void);

/* From lib/sortdeps.c */
int	xbps_sort_pkg_deps(prop_dictionary_t);

#endif /* !_XBPS_INSTALL_H_ */
